pure-mrtginfo(8)

NAME
pure-mrtginfo - provide an MRTG-graphable user count for ftpd

SYNOPSIS
pure-mrtginfo [server port]

DESCRIPTION
Pure-Mrtginfo counts the number of clients currently connected to ftpd(8) and output the format in a format graphable by MRTG.

OPTIONS
server port : defaults to 21.

FILES

/proc/net/tcp
    is used to count the connectiont to port 21.

/proc/sys/kernel/hostname
    is used to get the fully qualified hostname.

/proc/uptime
    is used to get the uptime.

MRTG
MRTG is a really nice package for graphing router traffic. Mrtg can also graph other information is available via SNMP or by running a program such as pure-mrtginfo. The author of this program uses it to graph CPU load, /var usage etc., and naturally the number of users connected to his FTP servers. See
http://oss.oetiker.ch/mrtg/
for more information about MRTG.

BUGS
This program only works on GNU/Linux systems yet.

HOME PAGE
http://www.pureftpd.org/

AUTHOR AND LICENSE
Written by Arnt Gulbrandsen <agulbra@troll.no> and copyright 1995-2002 Troll Tech AS, Waldemar Thranes gate 98B, N-0175 Oslo, Norway, fax +47 22806380.

Pure-FTPd (C)opyleft 2001-2015 by Frank DENIS <j at pureftpd dot org> and the Pure-FTPd team.

Use, modification and distribution is allowed without limitation, warranty, or liability of any kind.

SEE ALSO
ftp(1), pure-ftpd(8) pure-ftpwho(8) pure-mrtginfo(8) pure-uploadscript(8) pure-statsdecode(8) pure-pw(8) pure-quotacheck(8) pure-authd(8)

RFC 959, RFC 2228, RFC 2389 and RFC 2428.